Fetch this VM's immutable launch payload
curl --request GET \
--url https://app.factorize.sh/api/v1/runtime-launch \
--header 'Authorization: Bearer <token>' \
--header 'X-Factorize-Run-Id: <api-key>'import requests
url = "https://app.factorize.sh/api/v1/runtime-launch"
headers = {
"Authorization": "Bearer <token>",
"X-Factorize-Run-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Factorize-Run-Id': '<api-key>'}
};
fetch('https://app.factorize.sh/api/v1/runtime-launch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/runtime-launch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Factorize-Run-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/runtime-launch"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Factorize-Run-Id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.factorize.sh/api/v1/runtime-launch")
.header("Authorization", "Bearer <token>")
.header("X-Factorize-Run-Id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/runtime-launch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Factorize-Run-Id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"version": 1,
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"harness": {
"executable": "<string>",
"args": [
"<string>"
],
"env": {}
},
"traceSources": {},
"skillFiles": [
{
"path": "<string>",
"content": "<string>",
"executable": true
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}runtime-launch
Fetch this VM's immutable launch payload
Requires the vendor-verified identity of an active run. Returns only that run’s encrypted-at-rest scheduler snapshot, including the rendered prompt and harness or code context. No application scope is required. Sessions, API keys, OAuth clients, other runs and terminal runs cannot retrieve it. Responses are never cached.
Requires vendor-verified run identity; sessions and other bearer tokens cannot call this operation.
GET
/
api
/
v1
/
runtime-launch
Fetch this VM's immutable launch payload
curl --request GET \
--url https://app.factorize.sh/api/v1/runtime-launch \
--header 'Authorization: Bearer <token>' \
--header 'X-Factorize-Run-Id: <api-key>'import requests
url = "https://app.factorize.sh/api/v1/runtime-launch"
headers = {
"Authorization": "Bearer <token>",
"X-Factorize-Run-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Factorize-Run-Id': '<api-key>'}
};
fetch('https://app.factorize.sh/api/v1/runtime-launch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/runtime-launch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Factorize-Run-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/runtime-launch"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Factorize-Run-Id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.factorize.sh/api/v1/runtime-launch")
.header("Authorization", "Bearer <token>")
.header("X-Factorize-Run-Id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/runtime-launch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Factorize-Run-Id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"version": 1,
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"harness": {
"executable": "<string>",
"args": [
"<string>"
],
"env": {}
},
"traceSources": {},
"skillFiles": [
{
"path": "<string>",
"content": "<string>",
"executable": true
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Response
Launch payload for the calling run